net.sf.jasperreports.export

## Class SimpleTextExporterConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleExporterConfiguration
    - - net.sf.jasperreports.export.SimpleTextExporterConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ExporterConfiguration, TextExporterConfiguration

      public class SimpleTextExporterConfiguration
      extends SimpleExporterConfiguration
      implements TextExporterConfiguration

  Version:
    $Id: SimpleTextExporterConfiguration.java 6993 2014-03-28 10:33:00Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.TextExporterConfiguration

      `PROPERTY_LINE_SEPARATOR, PROPERTY_PAGE_SEPARATOR`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextExporterConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLineSeparator()` Returns a string representing the separator between two lines of text.
    `java.lang.String` | `getPageSeparator()` Returns a string representing text that will be inserted between pages of the generated report.
    `void` | `setLineSeparator(java.lang.String lineSeparator)`
    `void` | `setPageSeparator(java.lang.String pageSeparator)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimpleTextExporterConfiguration

          public SimpleTextExporterConfiguration()

  - ### Method Detail

    - #### getPageSeparator

          public java.lang.String getPageSeparator()

      Description copied from interface: `TextExporterConfiguration`
      Returns a string representing text that will be inserted between pages of the generated report. By default, JasperReports separates pages by two empty lines, but this behavior can be overridden by this parameter.
      Specified by:
        `getPageSeparator` in interface `TextExporterConfiguration`

    - #### setPageSeparator

          public void setPageSeparator(java.lang.String pageSeparator)

    - #### getLineSeparator

          public java.lang.String getLineSeparator()

      Description copied from interface: `TextExporterConfiguration`
      Returns a string representing the separator between two lines of text. This parameter is useful since line separators can vary from one operating system to another. The default value is the system "line.separator" property.
      Specified by:
        `getLineSeparator` in interface `TextExporterConfiguration`

    - #### setLineSeparator

          public void setLineSeparator(java.lang.String lineSeparator)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com